/* ***** BEGIN LICENSE BLOCK *****
 * Licensed under Version: MPL 1.1/GPL 2.0/LGPL 2.1
 * Full Terms at http://mozile.mozdev.org/license.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is Playsophy code.
 *
 * The Initial Developer of the Original Code is Playsophy
 * Portions created by the Initial Developer are Copyright (C) 2002-2003
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *		James A. Overton <james@overton.ca>
 *
 * ***** END LICENSE BLOCK ***** */

var characters = [232,233,234];


function init(event)
{
	populate();
}


function populate() {
	var rows = 179;
	var cols = 10;
	var buttonBox = document.getElementById("buttonBox");
	for(var i=0; i<rows; i++) {
		var hbox = document.createElement("hbox");
		for(var j=0; j<cols; j++) {
			var c = i*cols + j;
			var label = document.createElement("label");
			label.setAttribute('class','character');
			label.setAttribute('value',String.fromCharCode(c));
			label.setAttribute('code',c);
			label.setAttribute('onclick','characterSelected(this)');
			label.setAttribute('ondblclick','characterSelectedNow(this)');
			hbox.appendChild(label);
		}
		buttonBox.appendChild(hbox);
	}
}

function characterSelected(node) {
	var code = node.getAttribute('code');
	codeSelected(code);
}

function characterSelectedNow(node) {
	var code = node.getAttribute('code');
	codeSelected(code);
	insertEntity();
}
	
function codeSelected(code) {
	var charCodeBox = document.getElementById("charCodeBox");
	charCodeBox.value = code;
	var charCodeDemo = document.getElementById("charCodeDemo");
	var textNode = document.createTextNode(String.fromCharCode(code));
	charCodeDemo.replaceChild(textNode, charCodeDemo.firstChild);
}

function insertEntity() {
	var charCodeBox = document.getElementById("charCodeBox");
	opener.mozileInsertEntity(charCodeBox.value);
}

